petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMProductSetDimensionIndex

Set the dimension index associated with a given slot/sub-DM

### Synopsis

    PETSC_EXTERN PetscErrorCode DMProductSetDimensionIndex(DM dm,PetscInt slot,PetscInt idx)

Not collective

### Input Parameters

| dm | - the DMProduct
| slot | - which dimension slot, in the range 0 to dim-1
| idx | - the dimension index of the sub-DM

### See Also

DMPRODUCT

### Level

advanced

### Location

src/dm/impls/product/productutils.c
Index of all DMPRODUCT routines
Table of Contents for all manual pages
Index of all manual pages